#ifndef __ST7789_H
#define __ST7789_H

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

void ST7789_Initial(void);
void ST7789_Write_Cmd(uint8_t cmd);
void ST7789_Write_Data(uint8_t dh, uint8_t dl);
void ST7789_Write_Cmd_Data(uint8_t cmdp);
void show_picture(void);
void ST7789_SetPos(unsigned char x0, unsigned char x1, unsigned y0, unsigned y1);
void ST7789_Write_Data_U16(unsigned y);
void ST7789_WriteMultiData(uint8_t *pData, int NumItems);

#ifdef __cplusplus
}
#endif

#endif /* __ST7789_H */
